Package org.jbpm.kie.services.impl.admin.commands

## Class CancelNodeInstanceCommand

- java.lang.Object
- - org.jbpm.kie.services.impl.admin.commands.CancelNodeInstanceCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<Void>`, `org.kie.api.command.ExecutableCommand<Void>`, `org.kie.internal.command.ProcessInstanceIdCommand`

      public class CancelNodeInstanceCommand
      extends Object
      implements org.kie.api.command.ExecutableCommand<Void>, org.kie.internal.command.ProcessInstanceIdCommand

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CancelNodeInstanceCommand​(long processInstanceId, long nodeInstanceId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Void` | `execute​(org.kie.api.runtime.Context context)` |
    `Long` | `getProcessInstanceId()` |
    `void` | `setProcessInstanceId​(Long procInstId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CancelNodeInstanceCommand

          public CancelNodeInstanceCommand​(long processInstanceId,
                                           long nodeInstanceId)

  - ### Method Detail

    - #### execute

          public Void execute​(org.kie.api.runtime.Context context)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<Void>`

    - #### setProcessInstanceId

          public void setProcessInstanceId​(Long procInstId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`